package com.hai.service;

import com.hai.entity.HighMerchant;
import com.hai.model.HighMerchantModel;

import java.util.List;
import java.util.Map;

/**
 * 商户业务
 */
public interface HighMerchantService {

    /**
     * @Author 胡锐
     * @Description 增加
     * @Date 2021/3/12 21:24
     **/
    void insertMerchant(HighMerchantModel highMerchant) throws Exception;

    /**
     * @Author 胡锐
     * @Description 修改
     * @Date 2021/3/12 21:24
     **/
    void updateMerchant(HighMerchantModel highMerchant) throws Exception;

    /**
     * @Author 胡锐
     * @Description 修改状态
     * @Date 2021/3/12 23:13
     **/
    void updateStatus(Long id, Integer status);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    HighMerchantModel getMerchantById(Long id);

    /**
     * 根据id 查询
     * @param id
     * @return
     */
    HighMerchant getDetailById(Long id);

    /**
     * 根据key 查询
     * @param key
     * @return
     */
    HighMerchantModel getDetailByKey(String key);

    /**
     * 查询列表
     * @param map
     * @return
     */
    List<HighMerchant> getMerchantList(Map<String,Object> map);

}
